package ch.zhaw.projekt2.turnierverwaltung;

import javafx.scene.layout.Pane;

public abstract class FXController {
    Tournament tournament;
    Factory factory;
    FileIO fileIO;
    Pane pane;

    public void setup(Tournament tournament, FileIO fileIO, Factory factory, Pane pane){
        this.tournament = tournament;
        this.fileIO = fileIO;
        this.factory = factory;
        this.pane = pane;
    }

    public abstract void loadContent();

    protected Tournament getTournament() {
        return tournament;
    }

    protected FileIO getFileIO() {
        return fileIO;
    }

    protected Factory getFactory() {
        return factory;
    }

    protected Pane getPane() {
        return pane;
    }
}
